# Created by pyp2rpm-3.3.8
%global pypi_name oslo-log

Name:           python-%{pypi_name}
Version:        5.0.0
Release:        %mkrel 1
Summary:        oslo.log library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/oslo.log/latest
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/oslo.log-%{version}.tar.gz
Patch1:         oslo.log-test-reqs.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pbr)
# Docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslo-config)
BuildRequires:  python3dist(openstackdocstheme)
# Tests
BuildRequires:  python3dist(python-dateutil)
BuildRequires:  python3dist(pyinotify)
BuildRequires:  python3dist(oslo-serialization)
BuildRequires:  python3dist(oslo-context)
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(bandit)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(hacking)

%description
The oslo.log (logging) configuration library provides standardized
configuration for all openstack projects. It also provides custom formatters,
handlers and support for context specific logging (like resource id’s etc).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The oslo.log (logging) configuration library provides standardized
configuration for all openstack projects. It also provides custom formatters,
handlers and support for context specific logging (like resource id’s etc).

%prep
%autosetup -n oslo.log-%{version} -p1

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files oslo_log

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html
%{_bindir}/convert-json


%changelog
* Mon Aug 22 2022 wally <wally> 5.0.0-1.mga9
+ Revision: 1879350
- imported package python-oslo-log

